v.db.droptable(1)

NAME
v.db.droptable - Removes existing attribute table of a vector map.

KEYWORDS
vector, attribute table, database

SYNOPSIS
v.db.droptable
v.db.droptable --help
v.db.droptable [-f] map=name [table=name] [layer=string] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-f
    Force removal (required for actual deletion of table)

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

map=name [required]
    Name of vector map
    Or data source for direct OGR access

table=name
    Table name (default: vector map name)

layer=string
    Layer number or name
    Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.
    Default: 1

DESCRIPTION
v.db.droptable removes an existing attribute table from a given vector map linked at given layer. If the -f force flag is not given then nothing is removed.

NOTES
v.db.droptable is a front-end to db.execute to allow easier usage.

The existing database connection(s) can be verified with v.db.connect.

EXAMPLE
Removing attribute table connected to layer 1:

g.copy vect=roadsmajor,myroads
v.db.droptable myroads
v.db.droptable myroads -f
v.db.connect -p myroads

SEE ALSO
db.connect, db.execute, v.db.addtable, v.db.connect, v.db.dropcolumn, v.db.select, v.db.update
GRASS SQL interface

AUTHOR
Markus Neteler

SOURCE CODE

Available at: v.db.droptable source code (history)

Latest change: Mon Nov 18 20:15:32 2019 in commit: 1a1d107e4f6e1b846f9841c2c6fabf015c5f720d

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2022 GRASS Development Team, GRASS GIS 7.8.8dev Reference Manual